#include "dji_task.h"
#include "TopDefine.h"//事件组的一些东西
#include "FreeRTOS.h"
#include "attrTask.h"
#include <cmsis_os2.h>
#include "remote_control.h"
#include "dji.h"
#include "vofa.h"

extern RC_mess_t RC_mess;
extern int16_t result;
extern motor_measure_t *motor_3508_data;
float vofa[8];
/**
 * \brief 电机任务
 *
 * \param argument 未使用
 */

int speed=100;

void Task_Motor(void *argument)
{
   (void)argument; /* 未使用argument，消除警告 */

   motor_init();

   while(1)
  {
    //电机控制
    motor_speed(speed);
   //  motor_pos(speed);
    //CAN_cmd_200(result[MOTOR_UP],result[MOTOR_UP],result[MOTOR_UP],result[MOTOR_UP],&hcan1);
    CAN_cmd_200(result,0,0,0,&hcan1);
    osDelay(2);

    // vofa[0]=motor_3508_data->speed_rpm;
    // vofa[1]=speed;
    // vofa_tx_main(vofa);

  }

}
